アノテーション管理
アノテーションを作成
対象アプリ:Chatflow、チャットボット、Agent。
新しいアノテーションを作成します。アノテーションは、アプリがレスポンスを生成する代わりに直接マッチして返すことができる、事前定義された質問と回答のペアを提供します。
POST
/
apps
/
annotations
アノテーションを作成
curl --request POST \
--url https://{api_base_url}/apps/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
'import requests
url = "https://{api_base_url}/apps/annotations"
payload = {
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'What is Dify?',
answer: 'Dify is an open-source LLM application development platform.'
})
};
fetch('https://{api_base_url}/apps/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform.",
"hit_count": 0,
"created_at": 1705407629
}Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Body
application/json
Last modified on July 9, 2026
Was this page helpful?
⌘I
アノテーションを作成
